<assembly xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/assembly-1.0.0.xsd">

	<id>exe</id>
	<formats>
		<format>dir</format>
	</formats>
	<includeBaseDirectory>false</includeBaseDirectory>

	<fileSets>

		<fileSet>
			<outputDirectory>/lib</outputDirectory>
			<directory>${basedir}/target/lib</directory>
		</fileSet>

		<fileSet>
			<outputDirectory>/config</outputDirectory>
			<directory>${basedir}/target/resources</directory>
			<fileMode>0755</fileMode>
			<includes>
				<include>*.xml</include>
				<include>*.yml</include>
				<include>*.properties</include>
			</includes>
		</fileSet>

		<fileSet>
			<outputDirectory>/dataConfig</outputDirectory>
			<directory>${basedir}/target/dataConfig</directory>
			<fileMode>0755</fileMode>
			<includes>
				<include>*.json</include>
			</includes>
		</fileSet>

		<fileSet>
			<outputDirectory>/</outputDirectory>
			<directory>${basedir}/target/resources/bin</directory>
			<fileMode>0755</fileMode>
			<includes>
				<include>*.bat</include>
			</includes>
		</fileSet>

		<fileSet>
			<outputDirectory>/</outputDirectory>
			<directory>${basedir}/target/resources/bin</directory>
			<fileMode>0755</fileMode>
			<includes>
				<include>*.xml</include>
			</includes>
		</fileSet>

		<fileSet>
			<outputDirectory>/</outputDirectory>
			<directory>${basedir}</directory>
			<fileMode>0755</fileMode>
			<includes>
				<include>*.exe</include>
			</includes>
		</fileSet>
		<!-- 将项目启动jar打包到boot目录中 -->
		<fileSet>
			<directory>${basedir}/target</directory>
			<outputDirectory>/</outputDirectory>
			<fileMode>0755</fileMode>
			<includes>
				<include>${project.build.finalName}.jar</include>
			</includes>
		</fileSet>
	</fileSets>
</assembly>